<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
            android:id="@+id/ScrollView01"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:fillViewport="true">
    <RelativeLayout
                    xmlns:android="http://schemas.android.com/apk/res/android"
                    android:id="@+id/deliveryinfo_activity1"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:paddingBottom="@dimen/activity_vertical_margin"
                    android:paddingLeft="@dimen/activity_horizontal_margin"
                    android:paddingRight="@dimen/activity_horizontal_margin"
                    android:paddingTop="@dimen/activity_vertical_margin"
                    android:scrollbarAlwaysDrawVerticalTrack="true">

        <android.support.design.widget.TextInputLayout
            android:id="@+id/expense_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="ExpenseName"
            android:textSize="@dimen/text_size"
            android:textStyle="italic">
            <EditText
                android:id="@+id/expense_name_ed_txt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:ems="10"
                android:textSize="@dimen/text_size"
                android:inputType="textPersonName" />
        </android.support.design.widget.TextInputLayout>

        <android.support.design.widget.TextInputLayout
            android:id="@+id/date"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="Date"
            android:textSize="@dimen/text_size"
            android:textStyle="italic"
            android:layout_below="@+id/expense_name">
            <EditText
                android:id="@+id/date_ed_txt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:ems="10"
                android:textSize="@dimen/text_size"
                android:inputType="date" />


        </android.support.design.widget.TextInputLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="35dp"
            android:id="@+id/purpose_textview"
            android:text="@string/purpose"
            android:gravity="center_vertical"
            android:paddingRight="10dp"
            android:layout_below="@+id/date" />
        <Spinner
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_below="@+id/date"
            android:id="@+id/spinner_type"
            android:layout_toRightOf="@+id/purpose_textview"

            >
        </Spinner>
        <android.support.design.widget.TextInputLayout
            android:id="@+id/amount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="Amount"
            android:layout_below="@+id/spinner_type"
            android:textSize="@dimen/text_size"
            android:textStyle="italic">
            <EditText
                android:id="@+id/amount_ed_txt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:ems="10"
                android:textSize="@dimen/text_size"
                android:inputType="number" />
        </android.support.design.widget.TextInputLayout>
        <android.support.design.widget.TextInputLayout
            android:id="@+id/paidby"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="PaidBy"
            android:layout_below="@+id/amount"
            android:textSize="@dimen/text_size"
            android:textStyle="italic">
            <EditText
                android:id="@+id/paidby_ed_txt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:ems="10"
                android:textSize="@dimen/text_size"
                android:inputType="textPersonName" />
        </android.support.design.widget.TextInputLayout>
        <Button
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/save"
            android:background="@drawable/round_edged"
            android:layout_below="@+id/paidby"
            android:layout_marginTop="50dp"
            android:text="@string/save_text"
            android:textColor="@color/buttontextcolor"
            android:textSize="@dimen/button_text_size"/>



    </RelativeLayout>

</ScrollView>